Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159424 - sqlite3 database implementation doesn't work with --root
Summary: sqlite3 database implementation doesn't work with --root
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 16:09 UTC by Mark Hatle
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 10:40:57 UTC


Attachments (Terms of Use)
chroot before/after all sqlite commands (deleted)
2005-06-02 16:09 UTC, Mark Hatle
no flags Details | Diff

Description Mark Hatle 2005-06-02 16:09:52 UTC
Description of problem:
When using --root on the command line and the rpm sqlite3 DB implementation, you
are unable to install packages.

The error message is:
sqlite3_step: ERROR 1
warning: cput(Packages) sql_step rc 1
warning: reset 14
error: error(1) allocating new package instance

Version-Release number of selected component (if applicable):
rpm-4_4 branch

How reproducible:
rpm --root=<path> -U <package> --dbapi 4

Comment 1 Mark Hatle 2005-06-02 16:09:53 UTC
Created attachment 115091 [details]
chroot before/after all sqlite commands

Comment 2 Jeff Johnson 2005-07-13 10:40:57 UTC
Added to rpm-4_4 CVS, should be in rpm-4.4.2-0.8 when built. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.